[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.EditorUTF8KeyPress

Implements the UTF-8 key press handler for the editor in the grid control.

## Declaration

Source position: grids.pas line 1349

`public procedure TCustomGrid.EditorUTF8KeyPress(`
`Sender: TObject;`
`var UTF8Key: TUTF8Char`
`);`

## Arguments

`Sender` |  | Control for the event notification.
`UTF8Key` |  | UTF-8-encoded code point handled in the method.

## Description

EditorUTF8KeyPress is assigned as the OnUTF8KeyPress event handler for the Editor in the grid control. It calls the inherited UTF8KeyPress method, indicating that the value in UTF8Key is targeted at the Editor control for the grid.

## See also

TCustomGrid.Editor |  | The editor control used to modify the value in the current cell.
TWinControl.UTF8KeyPress